## org.eclipse.datatools.connectivity.oda.design
Interface DataSourceDesign

public interface DataSourceDesign

A design-time data source definition.

The following features are supported:

- `Name`
- `Oda Extension Id`
- `Oda Extension Data Source Id`
- `Display Name`
- `Public Properties`
- `Private Properties`
- `Linked Profile Name`
- `Linked Profile Store File Path`

See Also:
  `DesignPackage.getDataSourceDesign()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`java.lang.String` `getLinkedProfileName()` Returns the value of the 'Linked Profile Name' attribute.
`java.io.File` `getLinkedProfileStoreFile()` Returns the profile storage file where the linked profile is stored.
`java.lang.String` `getLinkedProfileStoreFilePath()` Returns the value of the 'Linked Profile Store File Path' attribute.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` `getOdaExtensionDataSourceId()` Returns the value of the 'Oda Extension Data Source Id' attribute.
`java.lang.String` `getOdaExtensionId()` Returns the value of the 'Oda Extension Id' attribute.
`Properties` `getPrivateProperties()` Returns the value of the 'Private Properties' containment reference.
`Properties` `getPublicProperties()` Returns the value of the 'Public Properties' containment reference.
`boolean` `hasLinkToProfile()` Indicates whether the data source design has a link to an external connection profile in a profile store.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setLinkedProfileName(java.lang.String value)` Sets the value of the '`Linked Profile Name`' attribute.
`void` `setLinkedProfileStoreFile(java.io.File storageFile)` Sets the profile storage file where the linked profile is stored.
`void` `setLinkedProfileStoreFilePath(java.lang.String value)` Sets the value of the '`Linked Profile Store File Path`' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setOdaExtensionDataSourceId(java.lang.String value)` Sets the value of the '`Oda Extension Data Source Id`' attribute.
`void` `setOdaExtensionId(java.lang.String value)` Sets the value of the '`Oda Extension Id`' attribute.
`void` `setPrivateProperties(Properties value)` Sets the value of the '`Private Properties`' containment reference.
`void` `setPublicProperties(Properties value)` Sets the value of the '`Public Properties`' containment reference.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute. The unique name that identifies an instance of dataSourceDesign.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DesignPackage.getDataSourceDesign_Name()`

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getOdaExtensionId

    public java.lang.String getOdaExtensionId()

  Returns the value of the 'Oda Extension Id' attribute. The extension ID defined in an ODA extension plugin manifest. It identifies the supporting ODA driver's extension plug-in that implements the ODA run-time extension point.

  Returns:
    the value of the 'Oda Extension Id' attribute.
  See Also:
    `setOdaExtensionId(String)`, `DesignPackage.getDataSourceDesign_OdaExtensionId()`

### setOdaExtensionId

    public void setOdaExtensionId(java.lang.String value)

  Sets the value of the '`Oda Extension Id`' attribute.

  Parameters:
    `value` - the new value of the 'Oda Extension Id' attribute.
  See Also:
    `getOdaExtensionId()`

### getOdaExtensionDataSourceId

    public java.lang.String getOdaExtensionDataSourceId()

  Returns the value of the 'Oda Extension Data Source Id' attribute. The data source element ID defined in an ODA extension plugin manifest. Optional, defaults to be same as the ODA extension id if only one dataSource element is defined in the manifest.

  Returns:
    the value of the 'Oda Extension Data Source Id' attribute.
  See Also:
    `setOdaExtensionDataSourceId(String)`, `DesignPackage.getDataSourceDesign_OdaExtensionDataSourceId()`

### setOdaExtensionDataSourceId

    public void setOdaExtensionDataSourceId(java.lang.String value)

  Sets the value of the '`Oda Extension Data Source Id`' attribute.

  Parameters:
    `value` - the new value of the 'Oda Extension Data Source Id' attribute.
  See Also:
    `getOdaExtensionDataSourceId()`

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getDataSourceDesign_DisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`

### getPublicProperties

    public Properties getPublicProperties()

  Returns the value of the 'Public Properties' containment reference. Properties specific to the underlying data source connection. Public property values can be visible and editable in the host designer.

  Returns:
    the value of the 'Public Properties' containment reference.
  See Also:
    `setPublicProperties(Properties)`, `DesignPackage.getDataSourceDesign_PublicProperties()`

### setPublicProperties

    public void setPublicProperties(Properties value)

  Sets the value of the '`Public Properties`' containment reference.

  Parameters:
    `value` - the new value of the 'Public Properties' containment reference.
  See Also:
    `getPublicProperties()`

### getPrivateProperties

    public Properties getPrivateProperties()

  Returns the value of the 'Private Properties' containment reference. Private properties specific to the underlying data source connection. Their definitions are private to the ODA designer, i.e. must not be visible nor editable by the host designer.

  Returns:
    the value of the 'Private Properties' containment reference.
  See Also:
    `setPrivateProperties(Properties)`, `DesignPackage.getDataSourceDesign_PrivateProperties()`

### setPrivateProperties

    public void setPrivateProperties(Properties value)

  Sets the value of the '`Private Properties`' containment reference.

  Parameters:
    `value` - the new value of the 'Private Properties' containment reference.
  See Also:
    `getPrivateProperties()`

### getLinkedProfileName

    public java.lang.String getLinkedProfileName()

  Returns the value of the 'Linked Profile Name' attribute. The name of a linked connection profile.

  Returns:
    the value of the 'Linked Profile Name' attribute.
  See Also:
    `setLinkedProfileName(String)`, `DesignPackage.getDataSourceDesign_LinkedProfileName()`

### setLinkedProfileName

    public void setLinkedProfileName(java.lang.String value)

  Sets the value of the '`Linked Profile Name`' attribute.

  Parameters:
    `value` - the new value of the 'Linked Profile Name' attribute.
  See Also:
    `getLinkedProfileName()`

### getLinkedProfileStoreFilePath

    public java.lang.String getLinkedProfileStoreFilePath()

  Returns the value of the 'Linked Profile Store File Path' attribute. The name of a linked connection profile where the linked profile is to be located at run-time. A null value indicates to use the default DTP profiles storage file.

  Returns:
    the value of the 'Linked Profile Store File Path' attribute.
  See Also:
    `setLinkedProfileStoreFilePath(String)`, `DesignPackage.getDataSourceDesign_LinkedProfileStoreFilePath()`

### setLinkedProfileStoreFilePath

    public void setLinkedProfileStoreFilePath(java.lang.String value)

  Sets the value of the '`Linked Profile Store File Path`' attribute.

  Parameters:
    `value` - the new value of the 'Linked Profile Store File Path' attribute.
  See Also:
    `getLinkedProfileStoreFilePath()`

### getLinkedProfileStoreFile

    public java.io.File getLinkedProfileStoreFile()

  Returns the profile storage file where the linked profile is stored.

  Returns:
    the linked profile storage file, or null value if no profile store is set
  See Also:
    `getLinkedProfileStoreFilePath()`, `setLinkedProfileStoreFile(File)`

### setLinkedProfileStoreFile

    public void setLinkedProfileStoreFile(java.io.File storageFile)

  Sets the profile storage file where the linked profile is stored.

  Parameters:
    `storageFile` - the profile storage file; null value unsets any linked profile store
  See Also:
    `getLinkedProfileStoreFile()`, `getLinkedProfileStoreFilePath()`

### hasLinkToProfile

    public boolean hasLinkToProfile()

  Indicates whether the data source design has a link to an external connection profile in a profile store.

  Returns:
    true if a link is specified; false otherwise

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.